Bug 133793 - x11/gdm: gdm ignores settings from /etc/login.conf
Summary: x11/gdm: gdm ignores settings from /etc/login.conf
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-16 21:40 UTC by mickey242
Modified: 2009-05-31 21:10 UTC (History)
0 users

See Also:


Attachments
gdm-2.26.1-20090523.diff (2.17 KB, patch)
2009-05-23 18:18 UTC, Thomas Quinot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mickey242 2009-04-16 21:40:00 UTC
When logging in via gdm-2.26.0_1, settings from /etc/login.conf like the path, environment variables, etc, are not picked up. Instead, gdm seems to set $PATH to a fixed, built-in default value.

The old gdm-2.22 used to pick up those settings correctly.

How-To-Repeat: Without setting the path explicitly via /etc/profile or /etc/csh.cshrc, log in via GDM >= 2.24.X, open an xterm, and display the value of $PATH. It will not be that configured in /etc/login.conf.
Comment 1 Edwin Groothuis freebsd_committer 2009-04-16 22:22:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Thomas Quinot freebsd_committer 2009-05-23 16:47:25 UTC
Another issue that may be related: with gdm-2.24.1_6, not only the PATH
setting from /etc/login.conf is ignored, but also setlogin(2) is not
called during session setup, and getlogin(2) thus always returns "root"
in GDM sessions.

Thomas.
Comment 3 Thomas Quinot freebsd_committer 2009-05-23 18:18:26 UTC
* Thomas Quinot, 2009-05-23 :

> Another issue that may be related: with gdm-2.24.1_6, not only the PATH
> setting from /etc/login.conf is ignored, but also setlogin(2) is not
> called during session setup, and getlogin(2) thus always returns "root"
> in GDM sessions.

The attached patch appears to fix both problems for me. Note, you'll
also need to patch daemon/Makefile to add -lutil to the ld command line
for gdm-session-worker.

Thomas.
Comment 4 Thomas Quinot freebsd_committer 2009-05-23 18:30:42 UTC
* Thomas Quinot, 2009-05-23 :

> The attached patch appears to fix both problems for me. Note, you'll
> also need to patch daemon/Makefile to add -lutil to the ld command line
> for gdm-session-worker.

See also http://bugzilla.gnome.org/show_bug.cgi?id=583660

Thomas.
Comment 5 dfilter service freebsd_committer 2009-05-31 21:00:29 UTC
marcus      2009-05-31 20:00:18 UTC

  FreeBSD ports repository

  Modified files:
    x11/gdm              Makefile 
    x11/gdm/files        patch-daemon_Makefile.in 
                         patch-daemon_gdm-session-worker.c 
  Log:
  * Fix hardcoded use of /usr/local.
  * Re-add support for reading /etc/login.conf. [1]
  
  PR:             133793 [1]
  Submitted by:   thomas [1]
  
  Revision  Changes    Path
  1.119     +2 -2      ports/x11/gdm/Makefile
  1.2       +14 -6     ports/x11/gdm/files/patch-daemon_Makefile.in
  1.2       +59 -3     ports/x11/gdm/files/patch-daemon_gdm-session-worker.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Joe Marcus Clarke freebsd_committer 2009-05-31 21:00:55 UTC
State Changed
From-To: open->closed

This should now be fixed in GDM 2.26.1_3.